seq.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/seq/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_HEAD(seq) MSGPACK_PP_SEQ_ELEM(0, seq)
#define | MSGPACK_PP_SEQ_TAIL(seq) MSGPACK_PP_SEQ_TAIL_I seq
#define | MSGPACK_PP_SEQ_TAIL_I(x)
#define | MSGPACK_PP_SEQ_NIL(x) (x)

## Macro Definition Documentation

## MSGPACK_PP_SEQ_HEAD

#define MSGPACK_PP_SEQ_HEAD | ( |  | seq | ) | MSGPACK_PP_SEQ_ELEM(0, seq)

## MSGPACK_PP_SEQ_NIL

#define MSGPACK_PP_SEQ_NIL | ( |  | x | ) | (x)

## MSGPACK_PP_SEQ_TAIL

#define MSGPACK_PP_SEQ_TAIL | ( |  | seq | ) | MSGPACK_PP_SEQ_TAIL_I seq

## MSGPACK_PP_SEQ_TAIL_I

#define MSGPACK_PP_SEQ_TAIL_I | ( |  | x | ) |